PropertyNotPresentException (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.exception

## Class PropertyNotPresentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tv.amwa.maj.exception.PropertyNotPresentException

- All Implemented Interfaces:
    Serializable, MAJException

      public class PropertyNotPresentException
      extends RuntimeException
      implements MAJException

  Thrown when an attempt is made to read the value of a property that is omitted from an interchange object. An omitted property is one that is not persisted along with the mandatory properties of an interchange object.

  Equivalent C result code: `AAFRESULT_PROP_NOT_PRESENT 0x801200CF`

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyNotPresentException()` Create a new property not present exception with no message.
    `PropertyNotPresentException(String msg)` Create a new property not present exception with the given descriptive message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyNotPresentException

          public PropertyNotPresentException(String msg)

      Create a new property not present exception with the given descriptive message.

      Parameters:
        `msg` - Message describing the exception.

    - #### PropertyNotPresentException

          public PropertyNotPresentException()

      Create a new property not present exception with no message.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.